# GstGLDisplayX11

GstGLDisplayX11 represents a connection to an X11 `Display` handle created internally (gst_gl_display_x11_new) or wrapped by the application (gst_gl_display_x11_new_with_display)

## GstGLDisplayX11

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLDisplay
                    ╰──GstGLDisplayX11

the contents of a GstGLDisplayX11 are private and should only be accessed through the provided API

### Class structure

#### GstGLDisplayX11Class

##### Fields

`object_class` (GstGLDisplayClass) –
No description available
`_padding` (gpointer*) –
No description available

### GstGLX11.GLDisplayX11Class

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ Object ]) –
No description available

### GstGLX11.GLDisplayX11Class

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ object ]) –
No description available

## GstGLX11.GLDisplayX11

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLX11.GLDisplayX11

the contents of a GstGLX11.GLDisplayX11 are private and should only be accessed through the provided API

## GstGLX11.GLDisplayX11

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLX11.GLDisplayX11

the contents of a GstGLX11.GLDisplayX11 are private and should only be accessed through the provided API

### Constructors

#### gst_gl_display_x11_new

    GstGLDisplayX11 *
    gst_gl_display_x11_new (const gchar* name)

Create a new GstGLDisplayX11 from the x11 display name. See `XOpenDisplay`() for details on what is a valid name.

Parameters:

`name` ( [allow-none]) –

a display name

Returns ( [transfer: full][nullable]) –

a new GstGLDisplayX11 or NULL

#### GstGLX11.GLDisplayX11.prototype.new

    function GstGLX11.GLDisplayX11.prototype.new(name: String): {
        // javascript wrapper for 'gst_gl_display_x11_new'
    }

Create a new GstGLX11.GLDisplayX11 from the x11 display name. See `XOpenDisplay`() for details on what is a valid name.

Parameters:

`name` (String) –

a display name

Returns (GstGLX11.GLDisplayX11) –

a new GstGLX11.GLDisplayX11 or NULL

#### GstGLX11.GLDisplayX11.new

    def GstGLX11.GLDisplayX11.new (name):
        #python wrapper for 'gst_gl_display_x11_new'

Create a new GstGLX11.GLDisplayX11 from the x11 display name. See `XOpenDisplay`() for details on what is a valid name.

Parameters:

`name` (str) –

a display name

Returns (GstGLX11.GLDisplayX11) –

a new GstGLX11.GLDisplayX11 or NULL

#### gst_gl_display_x11_new_with_display

    GstGLDisplayX11 *
    gst_gl_display_x11_new_with_display (Display* display)

Creates a new display connection from a X11 Display.

Parameters:

`display` –

an existing, x11 display

Returns ( [transfer: full]) –

a new GstGLDisplayX11

## Function Macros

### GST_GL_DISPLAY_X11_CAST

    #define GST_GL_DISPLAY_X11_CAST(obj)        ((GstGLDisplayX11*)(obj))

The results of the search are